#
# spec file for package rubygem-crass
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-crass
Version:        1.0.3
Release:        lp150.1.5
%define mod_name crass
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/rgrove/crass/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Summary:        CSS parser based on the CSS Syntax Level 3 spec
License:        MIT
Group:          Development/Languages/Ruby

%description
Crass is a pure Ruby CSS parser based on the CSS Syntax Level 3 spec.

%prep

%build

%install
%gem_install \
  --doc-files="HISTORY.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov 17 2017 mschnitzer@suse.com
- updated to version 1.0.3
  * Added support for frozen string literals. (#3 - @flavorjones)
* Mon May 11 2015 mrueckert@suse.de
- initial package
